<?php
$title = 'Редактировать анкету';

require_once ('../system/function.php');
require_once ('../system/header.php');

# закрываем от гостей
if(!$user['id']) exit(header('Location: '.$HOME));

echo '<div class="title"><a href="'.$HOME.'/kab.php">Личный кабинет</a> | Редактировать анкету</div>';

if(isset($_REQUEST['submit'])) {

$name = strong($_POST['name']);
$strana = strong($_POST['strana']);
$gorod = strong($_POST['gorod']);
$osebe = strong($_POST['osebe']);
$stat = strong($_POST['stat']);
$skype = strong($_POST['skype']);
$icq = strong($_POST['icq']);
$birth = strong($_POST['birth']);
$url = strong($_POST['url']);
$spec = strong($_POST['spec']);




$rating = $user['rating'];




mysql_query("UPDATE `users` SET `name` = '".$name."', `strana` = '".$strana."', `gorod` = '".$gorod."', `spec` = '".$spec."',  `osebe` = '".$osebe."',  `skype` = '".$skype."', `icq` = '".$icq."', `birth` = '".$birth."', `url` = '".$url."' WHERE `id` = '".$user['id']."'");
echo '<div class="podmenu"><b><center>Данные сохранены!</center></b></div>';
echo '<div class="menudiv"><a href="'.$HOME.'/kab.php" class="k_menu">Назад в кабинет</div></a>';
require_once ('../system/footer.php'); 
exit;
}

echo '<div class="podmenu"><form action="" method="POST">
Имя:<br/> <input type="text" name="name" value="'.$user['name'].'"/> <br />
Страна:<br/> <input type="text" name="strana" value="'.$user['strana'].'"/> <br />
Город:<br/> <input type="text" name="gorod" value="'.$user['gorod'].'"/> <br />
Дата рождения:(Пример: 01.01.1970)<br />
<input type="text" name="birth" value="'.$user[birth].'" size="10" maxlength="25" /><br />
О себе:<br/> <input type="text" name="osebe" value="'.$user['osebe'].'"/> <br />
Skype:<br/> <input type="text" name="skype" value="'.$user['skype'].'"/> <br />
ICQ:<br/> <input type="text" name="icq" value="'.$user['icq'].'"/> <br />
Сайт:<br/> <input type="text" name="url" value="'.$user['url'].'"/> <br />
Специализация:<br /><select name="spec">';
$dat = array('Нечего не умею' => '0', 'Кодер' => '1', 'Дизайнер' => '2', 'Хостер' => '3', 'Ресселер' => '4', 'Загрузчик скриптов' => '5', 'Помощник новичкам' => '6');
foreach ($dat as $key => $value) { 
echo '<option value="'.$value.'"'.($value == $user['spec'] ? ' selected="selected"' : '') .'>'.$key.'</option>'; 
}
echo '</select><br/>
<input type="submit" name="submit" value="Редактировать" />
</form></div>
<div class="menudiv"><a href="'.$HOME.'/kab.php" class="k_menu">Назад в кабинет</div></a>';
//-----Подключаем низ-----//
require_once ('../system/footer.php');
?>